DISPDATA_REGENERATE_NAMELIST(3)

EXPERIMENTAL_FUNC
dispdata_regenerate_namelist - Regenerate the list of (sorted) data names for a dataclass.

SYNOPSIS
#include <karma_dispdata.h>

char ** dispdata_regenerate_namelist

(KDisplayDataClass dataclass, KDisplayDataPrivateNameList *namelist_ptr, unsigned int num_reserved, unsigned int *num_entries, KDisplayDataObject **dataobjects, flag (*filter_func) (void *info, KDisplayDataObject dataobject), void *info)

DESCRIPTION
Regenerate the list of (sorted) data names for a dataclass.

dataclass
    The KDisplayDataClass object.

namelist_ptr
    A pointer to a special buffer. This may be updated.

num_reserved
    The number of characters to reserve for each entry. The reserved characters will be filled with ' ' (space).

num_entries
    The number of entries in the list is written here.

dataobjects
    The array of dataobjects is written here. This may be NULL.

filter_func
    A function to filter dataobjects. If it returns TRUE, a dataobject will be included in the list, otherwise it won't. If this is NULL, all dataobjects are included.

info
    An arbitrary pointer passed to <<filter_func>>.

RETURN VALUE
The array of string pointers. The string contents may be modified and will persist until the next call to this function.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/